Announcement

Collapse
No announcement yet.

Upgrade to 4.2.1 Error - found 4.2.1, expected 4.2.0 Patch Level 2 - WTF?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Hartmut
    replied
    Maybe the upload mode was incorrect.

    Leave a comment:


  • John h
    replied
    ok, it looks like it was an file upload problem. I ended up zipping the files, uploading the zip and extracting the zip on the server using the cpanel file manger tool.

    Leave a comment:


  • Upgrade to 4.2.1 Error - found 4.2.1, expected 4.2.0 Patch Level 2 - WTF?

    I uploaded 4.2.1 files to my server and went to upgrade I get this error:
    Code:
    Due to the following errors, the install/upgrade can not continue:
    
        Following is a list of files that are either missing or contain unexpected contents. The most likely cause is that all of the files from this release have not been properly uploaded. You should resolve this error before continuing.
        /install/functions_installupgrade.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/index.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/init.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/mysql-schema.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/tableprefix.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/upgrade.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/upgrade_language_en.xml - File does not contain expected contents
        /install/vbulletin-adminhelp.xml - File does not contain expected contents
        /install/vbulletin-language.xml - File does not contain expected contents
        /install/vbulletin-mobile-style-blog.xml - File does not contain expected contents
        /install/vbulletin-mobile-style-cms.xml - File does not contain expected contents
        /install/vbulletin-mobile-style.xml - File does not contain expected contents
        /install/vbulletin-navigation.xml - File does not contain expected contents
        /install/vbulletin-settings.xml - File does not contain expected contents
        /install/vbulletin-style.xml - File does not contain expected contents
        /install/vbulletin-upgrade.js - File version mismatch: found 4.2.1 , expected 4.2.0 Patch Level 2
        /install/cmsdefaultdata/default_data_functions.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360b2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360b3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360b4.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360rc1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360rc2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_360rc3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_361.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_362.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_363.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_364.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_365.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_366.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_367.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_368.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370b2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370b3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370b4.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370b5.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370b6.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370rc1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370rc2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370rc3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_370rc4.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_371.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380a2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380b2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380b3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380b4.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380rc1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_380rc2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400a1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400a2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400a3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400a4.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400a5.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400a6.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400b2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400b3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400b4.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400b5.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400rc1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400rc2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400rc3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400rc4.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_400rc5.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_401.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_402.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_403.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_404.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_405.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_406.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_407.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_408.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_410.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_410b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_411.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4110.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4110a1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4110a2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4110a3.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4110b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4111.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4111a1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4111a2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4111b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4111b2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4112.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4112a1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4112b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_4112b2.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_411a1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_411b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_412.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_412b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_413.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_413b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_414.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_414b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_415.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_415b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_416.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_416b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_417.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_417b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_418.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_418b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_419.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_419b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_420.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_420a1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_420b1.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_ajax.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_cli.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_final.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_forumrunner.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_install.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_postrelease.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_skimlinks.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_vbblog.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/class_upgrade_vbcms.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
        /install/includes/language.php - File version mismatch: found 4.2.1, expected 4.2.0 Patch Level 2
    Ok, I am trying to upgrade to 4.2.1, why should the upgrade script expect 4.2.0 Patch Level 2???

    I uploaded the files again, but get the same result?

Related Topics

Collapse

Working...
X